play.mvc

## Class WebSocketController

- java.lang.Object
- - play.mvc.WebSocketController

All Implemented Interfaces:
  ControllersEnhancer.ControllerSupport, LocalvariablesNamesEnhancer.LocalVariablesSupport, PlayController

    public class WebSocketController
    extends java.lang.Object
    implements ControllersEnhancer.ControllerSupport, LocalvariablesNamesEnhancer.LocalVariablesSupport, PlayController

### Field Summary

Fields
`protected static Http.Inbound` `inbound`
`protected static Http.Outbound` `outbound`
`protected static Scope.Params` `params`
`protected static Http.Request` `request`
`protected static Scope.Session` `session`
`protected static Validation` `validation`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketController()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static <T> T` `await(java.util.concurrent.Future<T> future)`
`protected static <T> void` `await(java.util.concurrent.Future<T> future, F.Action<T> callback)`
`protected static void` `await(int millis)`
`protected static void` `await(int millis, F.Action0 callback)`
`protected static void` `await(java.lang.String timeout)`
`protected static void` `await(java.lang.String timeout, F.Action0 callback)`
`protected static void` `disconnect()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### request

    protected static Http.Request request

#### inbound

    protected static Http.Inbound inbound

#### outbound

    protected static Http.Outbound outbound

#### params

    protected static Scope.Params params

#### validation

    protected static Validation validation

#### session

    protected static Scope.Session session

### Constructor Detail

#### WebSocketController

    public WebSocketController()

### Method Detail

#### await

    protected static void await(java.lang.String timeout)

#### await

    protected static void await(java.lang.String timeout,
                                F.Action0 callback)

#### await

    protected static void await(int millis)

#### await

    protected static void await(int millis,
                                F.Action0 callback)

#### await

    protected static <T> T await(java.util.concurrent.Future<T> future)

#### await

    protected static <T> void await(java.util.concurrent.Future<T> future,
                                    F.Action<T> callback)

#### disconnect

    protected static void disconnect()